Trip

Trip Hotel Rates and Details Scraper

Extract hotel, flight, and travel details using the Trip Hotel Rates and Details Scraper API endpoint.

This endpoint allows you to scrape hotel rates and availability from Trip.com.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/hotels/trip/rates/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Trip.com hotel detail URL including check-in/check-out and other query parameters

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/hotels/trip/rates/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://us.trip.com/hotels/detail/?cityId=228&hotelId=45586346&checkIn=2025-12-26&checkOut=2025-12-27&adult=2&children=0&subStamp=1349&crn=1&ages=&travelpurpose=0&curr=IDR&link=button&hoteluniquekey=H4sIAAAAAAAA_-P6xcjFJMEkxMTBKPWekWPJ8c-LmC1-CzoW2nJdX3yizsGTAQwaHQJ4EuW_5ITVqpk6FELE_By6GFlXtE6ezTSJMYgTLKRw2kEQRDfwHXdQEuf43bTHQqCRUeJ_x9LVjAqMFgfFgxiiGJTkFVg0YUYYwhgWzziDWDh-XOKIYnBi4fiyMmoG46r190RXMDJuZKwWWef-cJenww5GphOM32a6L2B6sOig9C4msLpDQGrbNvZTTAyXmBhuMTE8YgIb84qJ4RMTwy-ImiZmhi5mhknMYJWzmMEKFjEzSPEmGpqapRqlmaUYWppZKghpzLj05CSbkRMwMCA-U2DUEowP8QwNNjKwMC8vMjAwLE3PMGCcxMgUGnyKUcrQ3MTQ1NLU1NzUyMRIz9DS0KIsPy3KMyM4yopZitHNgzGIzdnU0MzVOEqLi9krIFJwMeMeViGR5fZSzJ4uQYonChWtH-6wttcCyRnC5JJYU_N0Q4MzvgsXMHYxcggwejBGMFYwvmIE6fkBDhUAJjcQerYBAAA&subChannel=&masterhotelid_tracelogid=a156e2f6d1969&NewTaxDescForAmountshowtype0=T&detailFilters=19%7C228%7E19%7E228*17%7C1%7E17%7E1*80%7C0%7C1%7E80%7E0&hotelType=normal&display=exavg&barcurr=IDR&locale=en-US"  }'
{
  "success": true,
  "message": "URL scraped",
  "data": {
    "url": "https://us.trip.com/hotels/detail/?hotelId=698982&checkIn=2025-12-12&checkOut=2025-12-13&locale=en-US&curr=IDR",
    "rates": [
      {
        "hotel_name": "Heritage Hotel Cameron Highlands",
        "extract_date_time": "2025-12-12T02:50:26.734Z",
        "arrival_date": "2025-12-12",
        "los": 1,
        "value": 3196388,
        "currency": "IDR",
        "cancellable": false,
        "is_vat_incl": false,
        "room_name": "Cameron Suite",
        "max_persons": 2,
        "meal_type_included": true,
        "have_promotion": true,
        "promotion": {
          "name": "Special Discount",
          "discount_percentage": "9"
        },
        "rate_plan_name": "Cameron Suite",
        "rate_plan_breakdown": {
          "meal_plan": "Includes 2 great breakfasts",
          "cancellation_policy": "This booking cannot be modified, and no refund will be given if you cancel it. If you fail to check in, a penalty equivalent to the cancellation fee will be charged. ",
          "refundability": "Non-Refundable",
          "inclusions": [
            "Has window(s)",
            "Non-smoking",
            "54㎡ | Floor: 2-3,5",
            "Free Wi-Fi",
            "Balcony",
            "Bathtub",
            "Private bathroom"
          ]
        }
      },
      {
        "hotel_name": "Heritage Hotel Cameron Highlands",
        "extract_date_time": "2025-12-12T02:50:26.735Z",
        "arrival_date": "2025-12-12",
        "los": 1,
        "value": 3238904,
        "currency": "IDR",
        "cancellable": false,
        "is_vat_incl": false,
        "room_name": "Cameron Suite",
        "max_persons": 2,
        "meal_type_included": true,
        "have_promotion": true,
        "promotion": {
          "name": "Special Discount",
          "discount_percentage": "8"
        },
        "rate_plan_name": "Cameron Suite",
        "rate_plan_breakdown": {
          "meal_plan": "Includes 2 great breakfasts",
          "cancellation_policy": "IDR 3,492,712 will be charged to cancel this booking. If you fail to check in, a penalty equivalent to the cancellation fee will be charged. ",
          "refundability": "Non-Refundable",
          "inclusions": [
            "Has window(s)",
            "Non-smoking",
            "54㎡ | Floor: 2-3,5",
            "Free Wi-Fi",
            "Balcony",
            "Bathtub",
            "Private bathroom"
          ]
        }
      }
    ]
  }
}